<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4066
Name: Allergy / Intolerance Observation
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4066-2014-06-09T000000">
   <title>Allergy / Intolerance Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]
Item: (Allergyintoleranceobservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]"
         id="d119e10924-false-d64585e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="string(@classCode)=('OBS')">(Allergyintoleranceobservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="string(@moodCode)=('EVN')">(Allergyintoleranceobservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(Allergyintoleranceobservation): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4066'])&gt;=1">(Allergyintoleranceobservation): Element hl7:templateId[@root='1.2.276.0.76.10.4066'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4066'])&lt;=1">(Allergyintoleranceobservation): Element hl7:templateId[@root='1.2.276.0.76.10.4066'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&gt;=1">(Allergyintoleranceobservation): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&gt;=1">(Allergyintoleranceobservation): Element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&lt;=1">(Allergyintoleranceobservation): Element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:statusCode[not(@nullFlavor)])&gt;=1">(Allergyintoleranceobservation): Element hl7:statusCode[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:statusCode[not(@nullFlavor)])&lt;=1">(Allergyintoleranceobservation): Element hl7:statusCode[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(Allergyintoleranceobservation): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Allergyintoleranceobservation): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:value[(@code='281647001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Allergyintoleranceobservation): Element hl7:value[(@code='281647001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:value[(@code='281647001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Allergyintoleranceobservation): Element hl7:value[(@code='281647001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:participant)&lt;=1">(Allergyintoleranceobservation): Element hl7:participant kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:templateId[@root='1.2.276.0.76.10.4066']
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:templateId[@root='1.2.276.0.76.10.4066']"
         id="d119e10932-false-d64685e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4066')">(Allergyintoleranceobservation): Der Wert von @root MUSS '1.2.276.0.76.10.4066' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:id[not(@nullFlavor)]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:id[not(@nullFlavor)]"
         id="d119e10937-false-d64703e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]"
         id="d119e10940-false-d64717e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(Allergyintoleranceobservation): Der Elementinhalt MUSS einer von 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:statusCode[not(@nullFlavor)]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:statusCode[not(@nullFlavor)]"
         id="d119e10945-false-d64737e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:effectiveTime
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:effectiveTime"
         id="d119e10947-false-d64751e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:low)&lt;=1">(Allergyintoleranceobservation): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:high)&lt;=1">(Allergyintoleranceobservation): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:effectiveTime/hl7:low
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:effectiveTime/hl7:low"
         id="d119e10949-false-d64783e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="not(*)">(Allergyintoleranceobservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:effectiveTime/hl7:high
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:effectiveTime/hl7:high"
         id="d119e10951-false-d64800e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="not(*)">(Allergyintoleranceobservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:value[(@code='281647001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:value[(@code='281647001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d119e10954-false-d64817e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="@nullFlavor or (@code='281647001' and @codeSystem='2.16.840.1.113883.6.96')">(Allergyintoleranceobservation): Der Elementinhalt MUSS einer von 'code '281647001' codeSystem '2.16.840.1.113883.6.96'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant"
         id="d119e10959-false-d64837e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="string(@typeCode)=('CSM')">(Allergyintoleranceobservation): Der Wert von @typeCode MUSS 'CSM' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]])&gt;=1">(Allergyintoleranceobservation): Element hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]])&lt;=1">(Allergyintoleranceobservation): Element hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]]"
         id="d119e10963-false-d64867e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="string(@classCode)=('MANU')">(Allergyintoleranceobservation): Der Wert von @classCode MUSS 'MANU' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]])&gt;=1">(Allergyintoleranceobservation): Element hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]])&lt;=1">(Allergyintoleranceobservation): Element hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]]/hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]]/hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]"
         id="d119e10967-false-d64897e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="string(@classCode)=('MMAT')">(Allergyintoleranceobservation): Der Wert von @classCode MUSS 'MMAT' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code])&gt;=1">(Allergyintoleranceobservation): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code])&lt;=1">(Allergyintoleranceobservation): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4066
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]]/hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]]/hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d119e10971-false-d64927e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Allergyintoleranceobservation): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.52 Allergy / intolerance substances (2015-03-26T00:00:00)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.276.0.76.11.52-2015-03-26T000000.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170301T123532/tmp-1.2.276.0.76.10.4066-2014-06-09T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Allergyintoleranceobservation): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 1.2.276.0.76.11.52 Allergy / intolerance substances (2015-03-26T00:00:00).</assert>
   </rule>
</pattern>
